org.wildfly.swarm.config.management

## Class AuditAccess.AuditAccessResources

- java.lang.Object
- - org.wildfly.swarm.config.management.AuditAccess.AuditAccessResources

- Enclosing class:
    AuditAccess<T extends AuditAccess<T>>

      public static class AuditAccess.AuditAccessResources
      extends Object

  Child mutators for AuditAccess

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AuditAccessResources()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AuditLogLogger` | `auditLogLogger()` The management audit logging top-level resource.
    `FileHandler` | `fileHandler(String key)`
    `List<FileHandler>` | `fileHandlers()` Get the list of FileHandler resources
    `InMemoryHandler` | `inMemoryHandler(String key)`
    `List<InMemoryHandler>` | `inMemoryHandlers()` Get the list of InMemoryHandler resources
    `JsonFormatter` | `jsonFormatter(String key)`
    `List<JsonFormatter>` | `jsonFormatters()` Get the list of JsonFormatter resources
    `PeriodicRotatingFileHandler` | `periodicRotatingFileHandler(String key)`
    `List<PeriodicRotatingFileHandler>` | `periodicRotatingFileHandlers()` Get the list of PeriodicRotatingFileHandler resources
    `SizeRotatingFileHandler` | `sizeRotatingFileHandler(String key)`
    `List<SizeRotatingFileHandler>` | `sizeRotatingFileHandlers()` Get the list of SizeRotatingFileHandler resources
    `SyslogHandler` | `syslogHandler(String key)`
    `List<SyslogHandler>` | `syslogHandlers()` Get the list of SyslogHandler resources

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AuditAccessResources

          public AuditAccessResources()

  - ### Method Detail

    - #### periodicRotatingFileHandlers

          public List<PeriodicRotatingFileHandler> periodicRotatingFileHandlers()

      Get the list of PeriodicRotatingFileHandler resources
      Returns:
        the list of resources

    - #### periodicRotatingFileHandler

          public PeriodicRotatingFileHandler periodicRotatingFileHandler(String key)

    - #### inMemoryHandlers

          public List<InMemoryHandler> inMemoryHandlers()

      Get the list of InMemoryHandler resources
      Returns:
        the list of resources

    - #### inMemoryHandler

          public InMemoryHandler inMemoryHandler(String key)

    - #### jsonFormatters

          public List<JsonFormatter> jsonFormatters()

      Get the list of JsonFormatter resources
      Returns:
        the list of resources

    - #### jsonFormatter

          public JsonFormatter jsonFormatter(String key)

    - #### fileHandlers

          public List<FileHandler> fileHandlers()

      Get the list of FileHandler resources
      Returns:
        the list of resources

    - #### fileHandler

          public FileHandler fileHandler(String key)

    - #### sizeRotatingFileHandlers

          public List<SizeRotatingFileHandler> sizeRotatingFileHandlers()

      Get the list of SizeRotatingFileHandler resources
      Returns:
        the list of resources

    - #### sizeRotatingFileHandler

          public SizeRotatingFileHandler sizeRotatingFileHandler(String key)

    - #### syslogHandlers

          public List<SyslogHandler> syslogHandlers()

      Get the list of SyslogHandler resources
      Returns:
        the list of resources

    - #### syslogHandler

          public SyslogHandler syslogHandler(String key)

    - #### auditLogLogger

          public AuditLogLogger auditLogLogger()

      The management audit logging top-level resource.

Copyright © 2018 JBoss by Red Hat. All rights reserved.